function Init()
{
  var defaultsObj = window.arguments[1];
  if (defaultsObj.name) document.getElementById("name").value = defaultsObj.name;
  if (defaultsObj.resid) document.getElementById("resid").value = defaultsObj.resid;
  if (defaultsObj.dsuri) document.getElementById("dsuri").value = defaultsObj.dsuri;

  var typelist = document.getElementById("typelist");

  var types = evaluateRPath(defaultsObj.generalDS,null,null,"sort(rdfs:{Class}^*,rdfs:label)");
  var len = types.count;
  for (var t=0; t<len; t++){
    var res = types.getResourceValue(t);
    var label = RDFGetLiteral(defaultsObj.generalDS,res,RDFS_NS+"label");
    var menuitem = typelist.appendItem(label,res);

    if ((defaultsObj.type) && (res.Value == defaultsObj.type.Value)){
      typelist.selectedItem = menuitem;
    }
  }
}

function onAccept()
{
  var callbackFn = window.arguments[0];
  if (callbackFn){
    callbackFn({
      name: document.getElementById("name").value,
      resid: document.getElementById("resid").value,
      dsuri: document.getElementById("dsuri").value,
      type: document.getElementById("typelist").value
    });
  }
}
